
_SPI_Ethernet_UserUDP:

;Basic_Realm.c,160 :: 		unsigned int  SPI_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int destPort, unsigned int reqLength, TEthPktFlags *flags)
;Basic_Realm.c,162 :: 		return(0) ;
	CLRF        R0 
	CLRF        R1 
;Basic_Realm.c,163 :: 		}
L_end_SPI_Ethernet_UserUDP:
	RETURN      0
; end of _SPI_Ethernet_UserUDP

_SPI_Ethernet_UserTCP:

;Basic_Realm.c,168 :: 		unsigned int  SPI_Ethernet_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthPktFlags *flags)
;Basic_Realm.c,170 :: 		unsigned int    len = 0 ;       // my reply length
	CLRF        SPI_Ethernet_UserTCP_len_L0+0 
	CLRF        SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,182 :: 		if(localPort != 80)
	MOVLW       0
	XORWF       FARG_SPI_Ethernet_UserTCP_localPort+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP27
	MOVLW       80
	XORWF       FARG_SPI_Ethernet_UserTCP_localPort+0, 0 
L__SPI_Ethernet_UserTCP27:
	BTFSC       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP0
;Basic_Realm.c,184 :: 		return(0) ;             // no reply to other ports
	CLRF        R0 
	CLRF        R1 
	GOTO        L_end_SPI_Ethernet_UserTCP
;Basic_Realm.c,185 :: 		}
L_SPI_Ethernet_UserTCP0:
;Basic_Realm.c,190 :: 		if(HTTP_getRequest(http_request, &reqLength, HTTP_REQUEST_SIZE) == 0)
	MOVLW       _http_request+0
	MOVWF       FARG_HTTP_getRequest_ptr+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_HTTP_getRequest_ptr+1 
	MOVLW       FARG_SPI_Ethernet_UserTCP_reqLength+0
	MOVWF       FARG_HTTP_getRequest_len+0 
	MOVLW       hi_addr(FARG_SPI_Ethernet_UserTCP_reqLength+0)
	MOVWF       FARG_HTTP_getRequest_len+1 
	MOVLW       50
	MOVWF       FARG_HTTP_getRequest_max+0 
	MOVLW       0
	MOVWF       FARG_HTTP_getRequest_max+1 
	CALL        _HTTP_getRequest+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP1
;Basic_Realm.c,192 :: 		return(0) ;             // no reply if not found
	CLRF        R0 
	CLRF        R1 
	GOTO        L_end_SPI_Ethernet_UserTCP
;Basic_Realm.c,193 :: 		}
L_SPI_Ethernet_UserTCP1:
;Basic_Realm.c,198 :: 		admin = HTTP_basicRealm(reqLength, PRIVATE_LOGINPASSWD) ;
	MOVF        FARG_SPI_Ethernet_UserTCP_reqLength+0, 0 
	MOVWF       FARG_HTTP_basicRealm_l+0 
	MOVF        FARG_SPI_Ethernet_UserTCP_reqLength+1, 0 
	MOVWF       FARG_HTTP_basicRealm_l+1 
	MOVLW       ?lstr1_Basic_Realm+0
	MOVWF       FARG_HTTP_basicRealm_passwd+0 
	MOVLW       hi_addr(?lstr1_Basic_Realm+0)
	MOVWF       FARG_HTTP_basicRealm_passwd+1 
	CALL        _HTTP_basicRealm+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_admin_L0+0 
;Basic_Realm.c,203 :: 		if(memcmp(http_request, path_private, sizeof(path_private) - 1) == 0)   // is path under private section ?
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_private+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_private+0)
	MOVWF       FARG_memcmp_s2+1 
	MOVLW       8
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP28
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP28:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP2
;Basic_Realm.c,206 :: 		ptr = http_request + sizeof(path_private) - 1;
	MOVLW       1
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R0, 0 
	SUBLW       _http_request+9
	MOVWF       SPI_Ethernet_UserTCP_ptr_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_ptr_L0+1 
	MOVLW       hi_addr(_http_request+9)
	SUBFWB      SPI_Ethernet_UserTCP_ptr_L0+1, 1 
;Basic_Realm.c,209 :: 		if(admin == 0)
	MOVF        SPI_Ethernet_UserTCP_admin_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP3
;Basic_Realm.c,212 :: 		len = HTTP_accessDenied(ZONE_NAME, MSG_DENIED) ;
	MOVLW       ?lstr_2_Basic_Realm+0
	MOVWF       FARG_HTTP_accessDenied_zn+0 
	MOVLW       hi_addr(?lstr_2_Basic_Realm+0)
	MOVWF       FARG_HTTP_accessDenied_zn+1 
	MOVLW       higher_addr(?lstr_2_Basic_Realm+0)
	MOVWF       FARG_HTTP_accessDenied_zn+2 
	MOVLW       ?lstr_3_Basic_Realm+0
	MOVWF       FARG_HTTP_accessDenied_m+0 
	MOVLW       hi_addr(?lstr_3_Basic_Realm+0)
	MOVWF       FARG_HTTP_accessDenied_m+1 
	MOVLW       higher_addr(?lstr_3_Basic_Realm+0)
	MOVWF       FARG_HTTP_accessDenied_m+2 
	CALL        _HTTP_accessDenied+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,213 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP4
L_SPI_Ethernet_UserTCP3:
;Basic_Realm.c,217 :: 		if(memcmp(ptr, path_redirect, sizeof(path_redirect) - 1) == 0)
	MOVF        SPI_Ethernet_UserTCP_ptr_L0+0, 0 
	MOVWF       FARG_memcmp_s1+0 
	MOVF        SPI_Ethernet_UserTCP_ptr_L0+1, 0 
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_redirect+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_redirect+0)
	MOVWF       FARG_memcmp_s2+1 
	MOVLW       9
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP29
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP29:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP5
;Basic_Realm.c,220 :: 		len = HTTP_redirect(redirURL) ;
	MOVLW       _redirURL+0
	MOVWF       FARG_HTTP_redirect_url+0 
	MOVLW       hi_addr(_redirURL+0)
	MOVWF       FARG_HTTP_redirect_url+1 
	CALL        _HTTP_redirect+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,221 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP6
L_SPI_Ethernet_UserTCP5:
;Basic_Realm.c,225 :: 		len = HTTP_html(privateHTML) ;
	MOVLW       _privateHTML+0
	MOVWF       FARG_HTTP_html_html+0 
	MOVLW       hi_addr(_privateHTML+0)
	MOVWF       FARG_HTTP_html_html+1 
	MOVLW       higher_addr(_privateHTML+0)
	MOVWF       FARG_HTTP_html_html+2 
	CALL        _HTTP_html+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,226 :: 		}
L_SPI_Ethernet_UserTCP6:
;Basic_Realm.c,227 :: 		}
L_SPI_Ethernet_UserTCP4:
;Basic_Realm.c,228 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP7
L_SPI_Ethernet_UserTCP2:
;Basic_Realm.c,229 :: 		else if(memcmp(http_request, path_stop, strlen(path_stop)) == 0)        // is 'stop' image requested ?
	MOVLW       _path_stop+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_path_stop+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_memcmp_n+0 
	MOVF        R1, 0 
	MOVWF       FARG_memcmp_n+1 
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_stop+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_stop+0)
	MOVWF       FARG_memcmp_s2+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP30
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP30:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP8
;Basic_Realm.c,232 :: 		len = HTTP_imageGIF(dump_stop_GIF, DUMP_STOP_GIF_SIZE) ;
	MOVLW       _dump_stop_GIF+0
	MOVWF       FARG_HTTP_imageGIF_img+0 
	MOVLW       hi_addr(_dump_stop_GIF+0)
	MOVWF       FARG_HTTP_imageGIF_img+1 
	MOVLW       higher_addr(_dump_stop_GIF+0)
	MOVWF       FARG_HTTP_imageGIF_img+2 
	MOVLW       123
	MOVWF       FARG_HTTP_imageGIF_l+0 
	MOVLW       5
	MOVWF       FARG_HTTP_imageGIF_l+1 
	CALL        _HTTP_imageGIF+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,233 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP9
L_SPI_Ethernet_UserTCP8:
;Basic_Realm.c,234 :: 		else if(memcmp(http_request, path_good, strlen(path_good)) == 0)        // is 'good' image requested ?
	MOVLW       _path_good+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_path_good+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_memcmp_n+0 
	MOVF        R1, 0 
	MOVWF       FARG_memcmp_n+1 
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_good+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_good+0)
	MOVWF       FARG_memcmp_s2+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP31
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP31:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP10
;Basic_Realm.c,237 :: 		len = HTTP_imageGIF(dump_good_GIF, DUMP_GOOD_GIF_SIZE) ;
	MOVLW       _dump_good_GIF+0
	MOVWF       FARG_HTTP_imageGIF_img+0 
	MOVLW       hi_addr(_dump_good_GIF+0)
	MOVWF       FARG_HTTP_imageGIF_img+1 
	MOVLW       higher_addr(_dump_good_GIF+0)
	MOVWF       FARG_HTTP_imageGIF_img+2 
	MOVLW       53
	MOVWF       FARG_HTTP_imageGIF_l+0 
	MOVLW       5
	MOVWF       FARG_HTTP_imageGIF_l+1 
	CALL        _HTTP_imageGIF+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,238 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP11
L_SPI_Ethernet_UserTCP10:
;Basic_Realm.c,239 :: 		else if(memcmp(http_request, path_MikroC, strlen(path_MikroC)) == 0)        // is 'MikroC' image requested ?
	MOVLW       _path_MikroC+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_path_MikroC+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_memcmp_n+0 
	MOVF        R1, 0 
	MOVWF       FARG_memcmp_n+1 
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_MikroC+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_MikroC+0)
	MOVWF       FARG_memcmp_s2+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP32
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP32:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP12
;Basic_Realm.c,242 :: 		len = HTTP_imagePNG(dump_MikroC_PNG, DUMP_MikroC_PNG_SIZE) ;
	MOVLW       _dump_MikroC_PNG+0
	MOVWF       FARG_HTTP_imagePNG_img+0 
	MOVLW       hi_addr(_dump_MikroC_PNG+0)
	MOVWF       FARG_HTTP_imagePNG_img+1 
	MOVLW       higher_addr(_dump_MikroC_PNG+0)
	MOVWF       FARG_HTTP_imagePNG_img+2 
	MOVLW       38
	MOVWF       FARG_HTTP_imagePNG_l+0 
	MOVLW       4
	MOVWF       FARG_HTTP_imagePNG_l+1 
	CALL        _HTTP_imagePNG+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,243 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP13
L_SPI_Ethernet_UserTCP12:
;Basic_Realm.c,244 :: 		else if(memcmp(http_request, path_key, strlen(path_key)) == 0)        // is 'key' image requested ?
	MOVLW       _path_key+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_path_key+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_memcmp_n+0 
	MOVF        R1, 0 
	MOVWF       FARG_memcmp_n+1 
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_key+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_key+0)
	MOVWF       FARG_memcmp_s2+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP33
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP33:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP14
;Basic_Realm.c,247 :: 		len = HTTP_imageGIF(dump_key_GIF, DUMP_key_GIF_SIZE) ;
	MOVLW       _dump_key_GIF+0
	MOVWF       FARG_HTTP_imageGIF_img+0 
	MOVLW       hi_addr(_dump_key_GIF+0)
	MOVWF       FARG_HTTP_imageGIF_img+1 
	MOVLW       higher_addr(_dump_key_GIF+0)
	MOVWF       FARG_HTTP_imageGIF_img+2 
	MOVLW       11
	MOVWF       FARG_HTTP_imageGIF_l+0 
	MOVLW       5
	MOVWF       FARG_HTTP_imageGIF_l+1 
	CALL        _HTTP_imageGIF+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,248 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP15
L_SPI_Ethernet_UserTCP14:
;Basic_Realm.c,249 :: 		else if(memcmp(http_request, path_exclam, strlen(path_exclam)) == 0)        // is 'exclam' image requested ?
	MOVLW       _path_exclam+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_path_exclam+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_memcmp_n+0 
	MOVF        R1, 0 
	MOVWF       FARG_memcmp_n+1 
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_exclam+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_exclam+0)
	MOVWF       FARG_memcmp_s2+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP34
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP34:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP16
;Basic_Realm.c,252 :: 		len = HTTP_imageJPG(dump_exclam_JPG, DUMP_exclam_JPG_SIZE) ;
	MOVLW       _dump_exclam_JPG+0
	MOVWF       FARG_HTTP_imageJPG_img+0 
	MOVLW       hi_addr(_dump_exclam_JPG+0)
	MOVWF       FARG_HTTP_imageJPG_img+1 
	MOVLW       higher_addr(_dump_exclam_JPG+0)
	MOVWF       FARG_HTTP_imageJPG_img+2 
	MOVLW       168
	MOVWF       FARG_HTTP_imageJPG_l+0 
	MOVLW       2
	MOVWF       FARG_HTTP_imageJPG_l+1 
	CALL        _HTTP_imageJPG+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,253 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP17
L_SPI_Ethernet_UserTCP16:
;Basic_Realm.c,254 :: 		else if(memcmp(http_request, path_bg, strlen(path_bg)) == 0)        // is 'bg' image requested ?
	MOVLW       _path_bg+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_path_bg+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_memcmp_n+0 
	MOVF        R1, 0 
	MOVWF       FARG_memcmp_n+1 
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _path_bg+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_path_bg+0)
	MOVWF       FARG_memcmp_s2+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP35
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP35:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP18
;Basic_Realm.c,257 :: 		len = HTTP_imageJPG(dump_bg_JPG, DUMP_bg_JPG_SIZE) ;
	MOVLW       _dump_bg_JPG+0
	MOVWF       FARG_HTTP_imageJPG_img+0 
	MOVLW       hi_addr(_dump_bg_JPG+0)
	MOVWF       FARG_HTTP_imageJPG_img+1 
	MOVLW       higher_addr(_dump_bg_JPG+0)
	MOVWF       FARG_HTTP_imageJPG_img+2 
	MOVLW       72
	MOVWF       FARG_HTTP_imageJPG_l+0 
	MOVLW       5
	MOVWF       FARG_HTTP_imageJPG_l+1 
	CALL        _HTTP_imageJPG+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,258 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP19
L_SPI_Ethernet_UserTCP18:
;Basic_Realm.c,259 :: 		else if(memcmp(http_request, "/", 1) == 0)                              // is home page requested ?
	MOVLW       _http_request+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_http_request+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       ?lstr4_Basic_Realm+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(?lstr4_Basic_Realm+0)
	MOVWF       FARG_memcmp_s2+1 
	MOVLW       1
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SPI_Ethernet_UserTCP36
	MOVLW       0
	XORWF       R0, 0 
L__SPI_Ethernet_UserTCP36:
	BTFSS       STATUS+0, 2 
	GOTO        L_SPI_Ethernet_UserTCP20
;Basic_Realm.c,262 :: 		len = HTTP_html(publicHTML) ;
	MOVLW       _publicHTML+0
	MOVWF       FARG_HTTP_html_html+0 
	MOVLW       hi_addr(_publicHTML+0)
	MOVWF       FARG_HTTP_html_html+1 
	MOVLW       higher_addr(_publicHTML+0)
	MOVWF       FARG_HTTP_html_html+2 
	CALL        _HTTP_html+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,263 :: 		}
	GOTO        L_SPI_Ethernet_UserTCP21
L_SPI_Ethernet_UserTCP20:
;Basic_Realm.c,267 :: 		len = HTTP_error() ;
	CALL        _HTTP_error+0, 0
	MOVF        R0, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+0 
	MOVF        R1, 0 
	MOVWF       SPI_Ethernet_UserTCP_len_L0+1 
;Basic_Realm.c,268 :: 		}
L_SPI_Ethernet_UserTCP21:
L_SPI_Ethernet_UserTCP19:
L_SPI_Ethernet_UserTCP17:
L_SPI_Ethernet_UserTCP15:
L_SPI_Ethernet_UserTCP13:
L_SPI_Ethernet_UserTCP11:
L_SPI_Ethernet_UserTCP9:
L_SPI_Ethernet_UserTCP7:
;Basic_Realm.c,270 :: 		return(len) ;   // return reply buffer length to library
	MOVF        SPI_Ethernet_UserTCP_len_L0+0, 0 
	MOVWF       R0 
	MOVF        SPI_Ethernet_UserTCP_len_L0+1, 0 
	MOVWF       R1 
;Basic_Realm.c,271 :: 		}
L_end_SPI_Ethernet_UserTCP:
	RETURN      0
; end of _SPI_Ethernet_UserTCP

_main:

;Basic_Realm.c,276 :: 		void    main()
;Basic_Realm.c,281 :: 		SPI1_Init() ;    // init SPI communication with ethernet board
	CALL        _SPI1_Init+0, 0
;Basic_Realm.c,282 :: 		SPI_Rd_Ptr = SPI1_Read;
	MOVLW       _SPI1_Read+0
	MOVWF       _SPI_Rd_Ptr+0 
	MOVLW       hi_addr(_SPI1_Read+0)
	MOVWF       _SPI_Rd_Ptr+1 
	MOVLW       FARG_SPI1_Read_buffer+0
	MOVWF       _SPI_Rd_Ptr+2 
	MOVLW       hi_addr(FARG_SPI1_Read_buffer+0)
	MOVWF       _SPI_Rd_Ptr+3 
;Basic_Realm.c,283 :: 		SPI_Ethernet_Init(myMacAddr, myIpAddr, 1) ; // init ethernet board
	MOVLW       _myMacAddr+0
	MOVWF       FARG_SPI_Ethernet_Init_mac+0 
	MOVLW       hi_addr(_myMacAddr+0)
	MOVWF       FARG_SPI_Ethernet_Init_mac+1 
	MOVLW       _myIpAddr+0
	MOVWF       FARG_SPI_Ethernet_Init_ip+0 
	MOVLW       hi_addr(_myIpAddr+0)
	MOVWF       FARG_SPI_Ethernet_Init_ip+1 
	MOVLW       1
	MOVWF       FARG_SPI_Ethernet_Init_fullDuplex+0 
	CALL        _SPI_Ethernet_Init+0, 0
;Basic_Realm.c,286 :: 		SPI_Ethernet_confNetwork(ipMask, gwIpAddr, dnsIpAddr) ;
	MOVLW       _ipMask+0
	MOVWF       FARG_SPI_Ethernet_confNetwork_ipMask+0 
	MOVLW       hi_addr(_ipMask+0)
	MOVWF       FARG_SPI_Ethernet_confNetwork_ipMask+1 
	MOVLW       _gwIpAddr+0
	MOVWF       FARG_SPI_Ethernet_confNetwork_gwIpAddr+0 
	MOVLW       hi_addr(_gwIpAddr+0)
	MOVWF       FARG_SPI_Ethernet_confNetwork_gwIpAddr+1 
	MOVLW       _dnsIpAddr+0
	MOVWF       FARG_SPI_Ethernet_confNetwork_dnsIpAddr+0 
	MOVLW       hi_addr(_dnsIpAddr+0)
	MOVWF       FARG_SPI_Ethernet_confNetwork_dnsIpAddr+1 
	CALL        _SPI_Ethernet_confNetwork+0, 0
;Basic_Realm.c,288 :: 		for(;;)         // forever
L_main22:
;Basic_Realm.c,293 :: 		SPI_Ethernet_doPacket() ;   // process incoming Ethernet packets and do services
	CALL        _SPI_Ethernet_doPacket+0, 0
;Basic_Realm.c,294 :: 		}
	GOTO        L_main22
;Basic_Realm.c,295 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
